OpenTTD Source: src/ai/ai_gui.hpp File Reference

OpenTTD Source 13.1

Functions
ai_gui.hpp File Reference
`#include "../company_type.h"`

Go to the source code of this file.

## Functions
void | ShowAIListWindow (CompanyID slot)
| Open the AI list window to chose an AI for the given company slot. More...
Window * | ShowAIDebugWindow (CompanyID show_company=INVALID_COMPANY)
| Open the AI debug window and select the given company. More...
void | ShowAIConfigWindow ()
| Open the AI config window.
void | ShowScriptTextfileWindow (TextfileType file_type, CompanyID slot)
| Open the AI version of the textfile window. More...
void | ShowAIDebugWindowIfAIError ()
| Open the AI debug window if one of the AI scripts has crashed.
void | InitializeAIGui ()
| Reset the AI windows to their initial state.

## Detailed Description

Window for configuring the AIs

Definition in file ai_gui.hpp.

## Function Documentation

## ◆ ShowAIDebugWindow()

Window* ShowAIDebugWindow | ( | CompanyID | show_company | ) |

Open the AI debug window and select the given company.

Parameters

  show_company | Display debug information about this AI company.

Definition at line 1469 of file ai_gui.cpp.

References _ai_debug_desc, _network_server, _networking, BringWindowToFrontById(), AIDebugWindow::ChangeToAI(), INVALID_COMPANY, INVALID_STRING_ID, ShowErrorMessage(), WC_AI_DEBUG, and WL_INFO.

Referenced by GameInstance::Died(), and ShowAIDebugWindowIfAIError().

## ◆ ShowAIListWindow()

void ShowAIListWindow | ( | CompanyID | slot | ) |

Open the AI list window to chose an AI for the given company slot.

Parameters

  slot | The slot to change the AI of.

Definition at line 279 of file ai_gui.cpp.

References _ai_list_desc, CloseWindowByClass(), and WC_AI_LIST.

## ◆ ShowScriptTextfileWindow()

void ShowScriptTextfileWindow | ( | TextfileType | file_type,
|  | CompanyID | slot
| ) |  |

Open the AI version of the textfile window.

Parameters

  file_type | The type of textfile to display.
  slot | The slot the Script is using.

Definition at line 665 of file ai_gui.cpp.

References CloseWindowById(), and WC_TEXTFILE.